package com.ruoyi.project.check.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 环境本底值记录对象 t_check_environment
 *
 * @author ruoyi
 * @date 2022-11-24
 */
public class TCheckEnvironment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long id;

    /** 装置id */
    private Long plantId;

    /** 仪器id */
    private Long instrumentId;



    @TableField(exist = false)
    @Excel(name = "装置编码")
    private String plantCode;

    @TableField(exist = false)
    @Excel(name = "装置名称")
    private String plantName;

    @TableField(exist = false)
    @Excel(name = "仪器型号")
    private String instrumentModel;

    @TableField(exist = false)
    @Excel(name = "仪器编号")
    private String instrumentCode;

    /** 组件编码 */
    @Excel(name = "组件编码")
    private String assemblyCode;

    /** 环境本底值 */
    @Excel(name = "环境本底值(ppm)")
    private String backgroundValue;

    /** 环境温度 */
    @Excel(name = "环境温度(℃)")
    private String ambientTemp;

    /** 环境湿度 */
    @Excel(name = "环境湿度")
    private String ambientHumidity;

    /** 大气压 */
    @Excel(name = "大气压(kpa)")
    private String atmos;

    /** 风向 */
    @Excel(name = "风向")
    private String windDirection;

    /** 风速 */
    @Excel(name = "风速(m/s)")
    private String windSpeed;

    /** 检测人员 */
    @Excel(name = "检测人员")
    private String tester;

    /** 检测日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检测日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date testTime;

    @Excel(name = "位置1检测结果")
    private String position1;

    @Excel(name = "位置2检测结果")
    private String position2;

    @Excel(name = "位置3检测结果")
    private String position3;

    @Excel(name = "位置4检测结果")
    private String position4;

    @Excel(name = "位置5检测结果")
    private String position5;

    @Excel(name = "最后维护人")
    @TableField(exist = false)
    private String updater;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "维护时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 状态 1 ：正常 ；0：删除 */
    private Integer delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getPlantCode() {
        return plantCode;
    }

    public void setPlantCode(String plantCode) {
        this.plantCode = plantCode;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getInstrumentModel() {
        return instrumentModel;
    }

    public void setInstrumentModel(String instrumentModel) {
        this.instrumentModel = instrumentModel;
    }

    public String getInstrumentCode() {
        return instrumentCode;
    }

    public void setInstrumentCode(String instrumentCode) {
        this.instrumentCode = instrumentCode;
    }

    public String getPosition1() {
        return position1;
    }

    public void setPosition1(String position1) {
        this.position1 = position1;
    }

    public String getPosition2() {
        return position2;
    }

    public void setPosition2(String position2) {
        this.position2 = position2;
    }

    public String getPosition3() {
        return position3;
    }

    public void setPosition3(String position3) {
        this.position3 = position3;
    }

    public String getPosition4() {
        return position4;
    }

    public void setPosition4(String position4) {
        this.position4 = position4;
    }

    public String getPosition5() {
        return position5;
    }

    public void setPosition5(String position5) {
        this.position5 = position5;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantId(Long plantId)
    {
        this.plantId = plantId;
    }

    public Long getPlantId()
    {
        return plantId;
    }
    public void setInstrumentId(Long instrumentId)
    {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId()
    {
        return instrumentId;
    }
    public void setAssemblyCode(String assemblyCode)
    {
        this.assemblyCode = assemblyCode;
    }

    public String getAssemblyCode()
    {
        return assemblyCode;
    }
    public void setBackgroundValue(String backgroundValue)
    {
        this.backgroundValue = backgroundValue;
    }

    public String getBackgroundValue()
    {
        return backgroundValue;
    }
    public void setAmbientTemp(String ambientTemp)
    {
        this.ambientTemp = ambientTemp;
    }

    public String getAmbientTemp()
    {
        return ambientTemp;
    }
    public void setAmbientHumidity(String ambientHumidity)
    {
        this.ambientHumidity = ambientHumidity;
    }

    public String getAmbientHumidity()
    {
        return ambientHumidity;
    }
    public void setAtmos(String atmos)
    {
        this.atmos = atmos;
    }

    public String getAtmos()
    {
        return atmos;
    }
    public void setWindDirection(String windDirection)
    {
        this.windDirection = windDirection;
    }

    public String getWindDirection()
    {
        return windDirection;
    }
    public void setWindSpeed(String windSpeed)
    {
        this.windSpeed = windSpeed;
    }

    public String getWindSpeed()
    {
        return windSpeed;
    }
    public void setTester(String tester)
    {
        this.tester = tester;
    }

    public String getTester()
    {
        return tester;
    }
    public void setTestTime(Date testTime)
    {
        this.testTime = testTime;
    }

    public Date getTestTime()
    {
        return testTime;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantId", getPlantId())
            .append("instrumentId", getInstrumentId())
            .append("assemblyCode", getAssemblyCode())
            .append("backgroundValue", getBackgroundValue())
            .append("ambientTemp", getAmbientTemp())
            .append("ambientHumidity", getAmbientHumidity())
            .append("atmos", getAtmos())
            .append("windDirection", getWindDirection())
            .append("windSpeed", getWindSpeed())
            .append("tester", getTester())
            .append("testTime", getTestTime())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
